----------------------------------------------------------------
--                                                              
--  File:   Drop_DB_Audit_Tables.SQL                            
--          Microsoft TPC-E Benchmark Kit Ver. 1.14.0-1031      
--          Copyright Microsoft, 2008-2015                  
--                                                              
----------------------------------------------------------------
USE tpce
GO

SET NOCOUNT ON
GO

PRINT   ''
PRINT   ''
PRINT   '-------------------------------------'
PRINT   '|  Dropping Database Audit Tables   |'
PRINT   '-------------------------------------'
PRINT   ' '
SELECT  CONVERT(CHAR(30), GETDATE(), 21)

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TPCE_SCALING_TABLES' )
    DROP TABLE TPCE_SCALING_TABLES
GO

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TPCE_GROWING_TABLES' )
    DROP TABLE TPCE_GROWING_TABLES
GO

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TPCE_FIXED_TABLES' )
    DROP TABLE TPCE_FIXED_TABLES
GO

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TPCE_AUDIT_OUTPUT' )
    DROP TABLE TPCE_AUDIT_OUTPUT
GO

PRINT   ''
PRINT   '-------------------------------------'
PRINT   '|   Database Audit Tables Dropped   |'
PRINT   '-------------------------------------'
PRINT   ' '
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
